import { CommonModule } from '@angular/common';
import { HttpClientModule, HttpClient } from '@angular/common/http';
import { NgModule, ɵɵdefineInjectable, ɵɵinject, Injectable } from '@angular/core';
import { A11yModule } from '@angular/cdk/a11y';
import { ClipboardModule } from '@angular/cdk/clipboard';
import { DragDropModule } from '@angular/cdk/drag-drop';
import { PortalModule } from '@angular/cdk/portal';
import { ScrollingModule } from '@angular/cdk/scrolling';
import { CdkStepperModule } from '@angular/cdk/stepper';
import { CdkTableModule } from '@angular/cdk/table';
import { CdkTreeModule } from '@angular/cdk/tree';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import { MatBadgeModule } from '@angular/material/badge';
import { MatBottomSheetModule } from '@angular/material/bottom-sheet';
import { MatButtonModule } from '@angular/material/button';
import { MatButtonToggleModule } from '@angular/material/button-toggle';
import { MatCardModule } from '@angular/material/card';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatChipsModule } from '@angular/material/chips';
import { MatStepperModule } from '@angular/material/stepper';
import { MatDatepickerModule } from '@angular/material/datepicker';
import { MatDialogModule } from '@angular/material/dialog';
import { MatDividerModule } from '@angular/material/divider';
import { MatExpansionModule } from '@angular/material/expansion';
import { MatGridListModule } from '@angular/material/grid-list';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatListModule } from '@angular/material/list';
import { MatMenuModule } from '@angular/material/menu';
import { MatNativeDateModule, MatRippleModule } from '@angular/material/core';
import { MatPaginatorModule } from '@angular/material/paginator';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { MatRadioModule } from '@angular/material/radio';
import { MatSelectModule } from '@angular/material/select';
import { MatSidenavModule } from '@angular/material/sidenav';
import { MatSliderModule } from '@angular/material/slider';
import { MatSlideToggleModule } from '@angular/material/slide-toggle';
import { MatSnackBarModule } from '@angular/material/snack-bar';
import { MatSortModule } from '@angular/material/sort';
import { MatTableModule } from '@angular/material/table';
import { MatTabsModule } from '@angular/material/tabs';
import { MatToolbarModule } from '@angular/material/toolbar';
import { MatTooltipModule } from '@angular/material/tooltip';
import { MatTreeModule } from '@angular/material/tree';

class UtilitiesBackofficeModule {
}
UtilitiesBackofficeModule.decorators = [
    { type: NgModule, args: [{
                declarations: [],
                imports: [
                    CommonModule,
                    HttpClientModule
                ],
                exports: []
            },] }
];

class MaterialModule {
}
MaterialModule.decorators = [
    { type: NgModule, args: [{
                exports: [
                    A11yModule,
                    ClipboardModule,
                    CdkStepperModule,
                    CdkTableModule,
                    CdkTreeModule,
                    DragDropModule,
                    MatAutocompleteModule,
                    MatBadgeModule,
                    MatBottomSheetModule,
                    MatButtonModule,
                    MatButtonToggleModule,
                    MatCardModule,
                    MatCheckboxModule,
                    MatChipsModule,
                    MatStepperModule,
                    MatDatepickerModule,
                    MatDialogModule,
                    MatDividerModule,
                    MatExpansionModule,
                    MatGridListModule,
                    MatIconModule,
                    MatInputModule,
                    MatListModule,
                    MatMenuModule,
                    MatNativeDateModule,
                    MatPaginatorModule,
                    MatProgressBarModule,
                    MatProgressSpinnerModule,
                    MatRadioModule,
                    MatRippleModule,
                    MatSelectModule,
                    MatSidenavModule,
                    MatSliderModule,
                    MatSlideToggleModule,
                    MatSnackBarModule,
                    MatSortModule,
                    MatTableModule,
                    MatTabsModule,
                    MatToolbarModule,
                    MatTooltipModule,
                    MatTreeModule,
                    PortalModule,
                    ScrollingModule
                ],
                imports: [
                    A11yModule,
                    ClipboardModule,
                    CdkStepperModule,
                    CdkTableModule,
                    CdkTreeModule,
                    DragDropModule,
                    MatAutocompleteModule,
                    MatBadgeModule,
                    MatBottomSheetModule,
                    MatButtonModule,
                    MatButtonToggleModule,
                    MatCardModule,
                    MatCheckboxModule,
                    MatChipsModule,
                    MatStepperModule,
                    MatDatepickerModule,
                    MatDialogModule,
                    MatDividerModule,
                    MatExpansionModule,
                    MatGridListModule,
                    MatIconModule,
                    MatInputModule,
                    MatListModule,
                    MatMenuModule,
                    MatNativeDateModule,
                    MatPaginatorModule,
                    MatProgressBarModule,
                    MatProgressSpinnerModule,
                    MatRadioModule,
                    MatRippleModule,
                    MatSelectModule,
                    MatSidenavModule,
                    MatSliderModule,
                    MatSlideToggleModule,
                    MatSnackBarModule,
                    MatSortModule,
                    MatTableModule,
                    MatTabsModule,
                    MatToolbarModule,
                    MatTooltipModule,
                    MatTreeModule,
                    PortalModule,
                    ScrollingModule
                ]
            },] }
];

class Enviroment {
}

class CatalogueTasksService {
    constructor(http, enviroment) {
        this.http = http;
        this.enviroment = enviroment;
    }
    getCatalogueTasks(entity, entityId, parent) {
        const url = (entityId !== undefined) ?
            `${this.enviroment.endpoints.url}/catalogue/${this.enviroment.common.tenantId}/${entity}/${entityId}/${parent}` :
            `${this.enviroment.endpoints.url}/catalogue/${this.enviroment.common.tenantId}/${entity}`;
        return this.http.get(url);
    }
}
CatalogueTasksService.ɵprov = ɵɵdefineInjectable({ factory: function CatalogueTasksService_Factory() { return new CatalogueTasksService(ɵɵinject(HttpClient), ɵɵinject(Enviroment)); }, token: CatalogueTasksService, providedIn: "root" });
CatalogueTasksService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
CatalogueTasksService.ctorParameters = () => [
    { type: HttpClient },
    { type: Enviroment }
];

class DocumentsTasksService {
    constructor(http, enviroment) {
        this.http = http;
        this.enviroment = enviroment;
    }
    getTemporyUrls(keys) {
        return this.http.post(`${this.enviroment.endpoints.workFlow}/documents/create/temporary-urls`, { keys });
    }
}
DocumentsTasksService.ɵprov = ɵɵdefineInjectable({ factory: function DocumentsTasksService_Factory() { return new DocumentsTasksService(ɵɵinject(HttpClient), ɵɵinject(Enviroment)); }, token: DocumentsTasksService, providedIn: "root" });
DocumentsTasksService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
DocumentsTasksService.ctorParameters = () => [
    { type: HttpClient },
    { type: Enviroment }
];

class ParametricEntitiesService {
    constructor(http, enviroment) {
        this.http = http;
        this.enviroment = enviroment;
    }
    getEntity(entityId, versionId) {
        return this.http.get(`${this.enviroment.endpoints.url}/${this.enviroment.common.tenantId}/parametricEntity/${entityId}/${versionId}`);
    }
}
ParametricEntitiesService.ɵprov = ɵɵdefineInjectable({ factory: function ParametricEntitiesService_Factory() { return new ParametricEntitiesService(ɵɵinject(HttpClient), ɵɵinject(Enviroment)); }, token: ParametricEntitiesService, providedIn: "root" });
ParametricEntitiesService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
ParametricEntitiesService.ctorParameters = () => [
    { type: HttpClient },
    { type: Enviroment }
];

/*
 * Public API Surface of utilities-backoffice
 */

/**
 * Generated bundle index. Do not edit.
 */

export { CatalogueTasksService, DocumentsTasksService, Enviroment, MaterialModule, ParametricEntitiesService, UtilitiesBackofficeModule };
//# sourceMappingURL=commons-backoffice.js.map
